import { createApp } from 'vue'
import './assets/style/style.css'
import './assets/style/main.scss'
import App from './App.vue'
import router from './router/index.js'
import api from './api/index.js'
import { createPinia } from 'pinia'
import * as wps from './static/web-office-sdk-v1.1.19.es.js'
import elementPlus from 'element-plus'
import * as ElementPlusIconsVue from '@element-plus/icons-vue'
import 'element-plus/dist/index.css'
import 'animate.css'

const myApp = createApp(App)
myApp.config.globalProperties.$router = router
myApp.config.globalProperties.$api = api
myApp.config.globalProperties.$wps = wps
const pinia = createPinia()
for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  myApp.component(key, component)
}
myApp
  .use(router)
  .use(pinia)
  .use(elementPlus, { size: 'small', zIndex: 300 })
  .mount('#app')
